summaryrefslogtreecommitdiff
path: root/mason/mason.sh
diff options
context:
space:
mode:
authorRichard Maw <richard.maw@codethink.co.uk>2014-08-19 15:50:05 +0000
committerRichard Maw <richard.maw@codethink.co.uk>2014-08-19 15:54:07 +0000
commit29b6bf544e9dad4c307214104f58c53baaf94cd1 (patch)
tree66809f7203bf838e2a9caf0d833bb16e8f95e29a /mason/mason.sh
parentebfcbd166dfe49c6632d0aeeb6d2050a4d507576 (diff)
parent2859c97778cb211a53d5a38a687b5f93ec7fa5ac (diff)
downloaddefinitions-29b6bf544e9dad4c307214104f58c53baaf94cd1.tar.gz
Merge branch 'baserock/richardmaw/fix-up-release-test'
Rubber-stamped-by: Richard Maw The majority of the patches were approved, but for the rest there is nobody else familiar enough with the code to comment. This code has been through a Mason pipeline a couple of times though, so it is less likely to break anything.
Diffstat (limited to 'mason/mason.sh')
-rwxr-xr-xmason/mason.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/mason/mason.sh b/mason/mason.sh
index 2dca7d84..240cc347 100755
--- a/mason/mason.sh
+++ b/mason/mason.sh
@@ -40,10 +40,15 @@ rm -f "$HOME/success"
echo INFO: Mason building: $DEFINITIONS_REF at $SHA1
-"scripts/release-build" --no-default-configs \
+if ! "scripts/release-build" --no-default-configs \
--trove-host "$DISTBUILD_TROVE_ADDRESS" \
--controllers "$DISTBUILD_ARCH:$DISTBUILD_CONTROLLER_ADDRESS" \
- "$BUILD_CLUSTER_MORPHOLOGY"
+ "$BUILD_CLUSTER_MORPHOLOGY"; then
+ echo ERROR: Failed to build release images
+ echo Build logs for chunks:
+ find builds -type f -exec echo {} \; -exec cat {} \;
+ exit 1
+fi
releases_made="$(cd release && ls | wc -l)"
if [ "$releases_made" = 0 ]; then